%define _libexecdir %{_exec_prefix}/lib

Name:           os-prober
Version:        1.70
Release:        %mkrel 1
Summary:        Probes disks on the system for installed operating systems
License:        GPLv1 and GPLv2+
Group:          System/Configuration/Boot and Init
Url:            http://kitenet.net/~joey/code/os-prober/
Source0:        %{name}-%{version}.tar.xz
Source1:        COPYING-note.txt
Source2:        make-tarball
AutoReqProv:    no
Requires:       coreutils
Requires:       udev
Requires:       util-linux
Patch0: os-prober-newnsdirfix.patch
Patch1: os-prober-SUSE.patch
Patch5: os-prober-remove-basename.patch
Patch6: os-prober-disable-debug-test.patch
Patch7:  os-prober-btrfsfix.patch
Patch8: os-prober-factor-out-logger.patch
Patch9:  os-prober-bootpart-name-fix.patch
Patch10: os-prober-mounted-partitions-fix.patch
Patch11: os-prober-1.65-distro.patch
Patch12: os-prober-1.65--50mounted_90linux-distro.patch
Patch13: os-prober-factored-logger-efi-fix.patch
Patch14: os-prober-umount-fix.patch
Patch15: os-prober-grub2-parsefix.patch
#Patch16: os-prober-grepfix.patch

%description
This package detects other OSes available on a system and outputs the results
in a generic machine-readable format. Support for new OSes and Linux
distributions can be added easily.

%prep
%setup -q -n %{name}-%{version}
cp %SOURCE1 .

%apply_patches

for i in os-probes/common/50mounted-tests linux-boot-probes/common/50mounted-tests common.sh; do
sed -i 's/grub-/grub2-/g' $i
done

%build

%make

%install
install -m 0755 -d %{buildroot}%{_bindir}
install -m 0755 -d %{buildroot}%{_localstatedir}/lib/%{name}

install -m 0755 -p os-prober linux-boot-prober %{buildroot}%{_bindir}
install -m 0755 -Dp newns %{buildroot}%{_libexecdir}/newns
install -m 0644 -Dp common.sh %{buildroot}%{_datadir}/%{name}/common.sh

%ifarch %{ix86} x86_64
ARCH=x86
%endif

for probes in os-probes os-probes/mounted os-probes/init \
              linux-boot-probes linux-boot-probes/mounted; do
        install -m 755 -d %{buildroot}%{_libexecdir}/$probes
        cp -a $probes/common/* %{buildroot}%{_libexecdir}/$probes
        if [ -e "$probes/$ARCH" ]; then
                cp -a $probes/$ARCH/* %{buildroot}%{_libexecdir}/$probes
        fi
done
if [ "$ARCH" = x86 ]; then
        install -m 755 -p os-probes/mounted/powerpc/20macosx \
            %{buildroot}%{_libexecdir}/os-probes/mounted
fi

find %{buildroot}/usr/lib/os-probes -name "*.00??" -delete


%files
%doc README TODO debian/copyright debian/changelog COPYING-note.txt
%{_bindir}/*
%{_libexecdir}/linux-boot-probes
%{_libexecdir}/newns
%{_libexecdir}/os-probes
%{_datadir}/%{name}
%{_localstatedir}/lib/%{name}


%changelog
* Sat Dec 12 2015 daniel <meisssw01 at gmail.com> 1.70-1pclos2015
- update
- remove Patch 16 not longer need 

* Fri May 15 2015 bb <bb> 1.65-2pclos2015
- update

* Wed Apr 08 2015 bb <bb> 1.65-1pclos2015
- update

* Fri Aug 24 2013 Ken <lxgator at gmail dot com> 1.61-1pclos2013
- 1.61

* Mon Aug 13 2012 Agent Smith <ruidobranco@yahoo.com.br> 1.53-2pclos2012
- Removed dependency on LVM2, added AutoReqProv: no
